# Описание процессинга INPAS (для Linux)
#
inpas: {
  params: {
    pType = Card                            # Тип средства оплаты. Параметр не изменять!
    isFiscal = true			                # Средство оплаты должно регистрироваться в ККТ. Параметр не изменять!
    returnByCashForbidden = false           # Нельзя возвращать наличными покупки, оплаченные данным средством оплаты. Параметр не изменять!
    changeAllowed = false                   # Параметр не изменять!
  # driverName = "/home/ukm5/mint/inpas/dsmc"   # Заменить на реальное расположение банковского модуля
    driverName = "/home/ukm5/mint/inpassmartsale/dcconsole.sh"   # Заменить на реальное расположение службы dualconnector
    currencyCode = "RUB"                    # Параметр не изменять!
    useCurrencyCodeNumeric = true,  # Флаг для использования кода валюты в числовом формате
    currencyCodeNumeric = "643" # Код валюты в числовом формате Российский рубль - 643, Казахский тенге - 398
    logLevel = 0                            # 0-минимальный лог (как сейчас), 9-максимальный.
    transport: {
      type=serial                           # тип подключения PIN-PAD
      deviceName = "/dev/ttyS39"            # порт подключения PIN-PAD
      baudRate = "115200"                   # скорость порта подключения PIN-PAD
    # id = "40000039"                       # Идентификатор устройства
      id = "ABCDEF01"                       # Идентификатор устройства
    # resFileName = "e"                     # Имя файла с результатом операции
    # receiptFileName = "p"                 # Имя файла с печатной формой (слип или отчёт)
      resFileName = "result.txt"            # Имя файла с результатом операции
      receiptFileName = "receipt.txt"       # Имя файла с печатной формой (слип или отчёт)
    }
    # inn = 121254444 // вписать реальный ИНН, если используется многофискальность. Данный ИНН будет основным
    # extINNs = [12128, 11132] // вписать реальные ИНН, если используется многофискальность и необходимы дополнительные ИНН
  }
}